Subject: Question about Imapd and PC interaction

From: [email-masked] (Mark Keasling)
Date: Tue, 28 Dec 93 14:39:58 JST

Hi folks,

I am having a problem with the imapd when connection is made through
the network from a PC (using Cameleon).  If the PC hangs and is
rebooted (occurs frequently), the imapd doesn't terminate but hangs
around for a few minutes waiting to timeout.  If the user, reruns
the application from the PC, the mailbox that it was reading is now
read-only.  If the imapd is connected to a Unix box and the
application crashes or is killed, the imapd terminates immediately.
I'm wondering if the Pine people (or anyone else for that matter)
have had a similar experience and if so how they solved it.  I think
it may be that the ethernet board or network software isn't
configured properly or some such PC thing, but since I have
virtually no PC experience, I really haven't got a clue as to how to
approach the problem let alone fix it.

I would especially appreciate any bits of wisdom thrown my way.

Happy Holidays,
makr

-- Mark Keasling
   AIR Company LTD, Nishikawa Mitsui Bldg, 1-3-14 Kitahama, Chuo-ku, Osaka 541
   email: makr%airco.co.jp      phone: +1 81 6201 4307    fax: +1 81 6201 2107

---

From: Mark Crispin <[email-masked]>
Date: Tue, 28 Dec 1993 22:24:46 -0800 (PST)

On UNIX-based systems, when a TCP programs quits the operating system sends a
close (TCP reset) to the other end.  This causes an imapd to exit.

This doesn't happen on toy computers such as PC's or Macs, especially when
they are rebooted.  imapd in this case has no way of knowing that the other
end went away.  Hence the difference between the two types of clients.

imapd has a 30-minute inactivity timeout, after which it exists.  In modern
versions of c-client and imapd, if a second session tries to open the mailbox,
it grabs the read/write lock away from the previous session and the previous
session becomes read-only on a snapshot of the mailbox.